import request from '@/utils/request'

// 查询SOP  定时任务列表
export function listQwSopLogs(query) {
  return request({
    url: '/qw/sopLogs/list',
    method: 'get',
    params: query
  })
}

// 查询SOP  定时任务列表
export function listSopLogsList(query) {
  return request({
    url: '/app/sopLogs/findList',
    method: 'get',
    params: query
  })
}



// 查询SOP  定时任务详细
export function getQwSopLogs(id) {
  return request({
    url: '/qw/sopLogs/' + id,
    method: 'get'
  })
}

// 新增SOP  定时任务
export function addQwSopLogs(data) {
  return request({
    url: '/qw/sopLogs',
    method: 'post',
    data: data
  })
}

// 修改SOP  定时任务
export function updateQwSopLogs(data) {
  return request({
    url: '/qw/sopLogs',
    method: 'put',
    data: data
  })
}

// 删除SOP  定时任务
export function delSopLogs(ids) {
  return request({
    url: '/app/sopLogs/deleteByIds/' + ids,
    method: 'delete'
  })
}

//修改 执行记录为待发送
export function editCourseSopLogs(id) {
  return request({
    url: '/app/sopLogs/editCourseSopLogs/' + id,
    method: 'put'
  })
}



// 导出SOP  定时任务
export function exportSopLogs(query) {
  return request({
    url: '/app/sopLogs/export',
    method: 'get',
    params: query
  })
}
